## GtefMetadataManager GtefMetadataManager — Metadata support on platforms that don't support GVfs metadata |

## Functions

void | gtef_metadata_manager_init ()
void | gtef_metadata_manager_shutdown ()

## Includes

    #include <gtef/gtef.h>

## Description

The metadata manager permits to save/load metadata on platforms that don't support GVfs metadata, like (at the time of writing) Windows.

## Functions

### gtef_metadata_manager_init ()

    void
    gtef_metadata_manager_init (const gchar *metadata_path);

This function initializes the metadata manager.

The `metadata_path` must be different for each process. It is advised for your application to rely on GApplication process uniqueness.

A good place to store the metadata is in a sub-directory of the user data directory. See `g_get_user_data_dir()`.

#### Parameters

metadata_path | the filename where the metadata is stored. |

Since: 1.0

### gtef_metadata_manager_shutdown ()

    void
    gtef_metadata_manager_shutdown (void);

This function saves synchronously metadata if they need to be saved, and frees the internal data of the metadata manager.

Since: 1.0

## Types and Values